<?php
/**
 * This file is responsible to show license details.
 *
 * @link        https://lenderd.com
 * @since       1.0.0
 *
 * @package     mortgage_application
 * @sub-package mortgage_application/inc/templates
*/
// If this file is called directly, abort.
defined('ABSPATH') OR die("Access denied!");
// check user capabilities
if ( ! current_user_can( 'manage_options' ) ) {
  return;
}
?>
<h3><?php _e( 'License Details', 'mortgage_app' ); ?></h3>
    <table>
        <tr>
            <th style="padding: 10px 20px 20px 0px;"><?php _e( 'User Name', 'mortgage_app' ); ?></th>
            <th style="padding: 10px 20px 20px 0px;"><?php _e( 'Email', 'mortgage_app' ); ?></th>
            <th style="padding: 10px 20px 20px 0px;"><?php _e( 'License Key', 'mortgage_app' ); ?></th>
            <th style="padding: 10px 20px 20px 0px;"><?php _e( 'License Limit', 'mortgage_app' ); ?></th>
            <th style="padding: 10px 20px 20px 0px;"><?php _e( 'Site Count', 'mortgage_app' ); ?></th>
            <th style="padding: 10px 20px 20px 0px;"><?php _e( 'Activations Left', 'mortgage_app' ); ?></th>
            <th style="padding: 10px 20px 20px 0px;"><?php _e( 'Purchased', 'mortgage_app' ); ?></th>
            <th style="padding: 10px 20px 20px 0px;"><?php _e( 'Expires', 'mortgage_app' ); ?></th>
            <th style="padding: 10px 20px 20px 0px;"><?php _e( 'Status', 'mortgage_app' ); ?></th>
        </tr>
        <tr>
            <td style="padding: 10px 20px 20px 0px;"><?php _e((isset($responseBody->customer_name) ? $responseBody->customer_name : ""), 'mortgage_app' ); ?></td>
            <td style="padding: 10px 20px 20px 0px;"><?php _e((isset($responseBody->customer_name) ? $responseBody->customer_email : ""), 'mortgage_app' ); ?></td>
            <td style="padding: 10px 20px 20px 0px;"><?php _e((isset($license) ? $license : ""), 'mortgage_app' ); ?></td>
            <td style="padding: 10px 20px 20px 0px;"><?php _e((isset($responseBody->license_limit) ? $responseBody->license_limit : ""), 'mortgage_app' ); ?></td>
            <td style="padding: 10px 20px 20px 0px;"><?php _e((isset($responseBody->site_count) ? $responseBody->site_count : ""), 'mortgage_app' ); ?></td>
            <td style="padding: 10px 20px 20px 0px;"><?php _e((isset($responseBody->activations_left) ? $responseBody->activations_left : ""), 'mortgage_app' ); ?></td>
            <td style="padding: 10px 20px 20px 0px;"><?php _e((isset($responseBody->expires) ? date('Y-m-d H:i:s',strtotime($responseBody->expires . ' -1 year')) : ""), 'mortgage_app' ); ?></td>
            <td style="padding: 10px 20px 20px 0px;"><?php _e((isset($responseBody->expires) ? $responseBody->expires : ""), 'mortgage_app' ); ?></td>
            <td style="padding: 10px 20px 20px 0px;">
					<span class="licesnses-status <?php echo esc_attr((($status !== false && $status == 'valid')? "activated" : "deactivated")); ?>"><?php _e( sanitize_text_field((($status !== false && $status == 'valid')? "Activated" : "Deactivated")), 'mortgage_app' ); ?></span>
            </td>
         </tr>
    </table>
</div>